#
# spec file for package lxterminal
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxterminal
Version:        0.3.1
Release:        lp151.2.3
Summary:        Lightweight LXDE Terminal
License:        GPL-2.0
Group:          System/GUI/LXDE
Url:            http://www.lxde.org/
Source0:        %{name}-%{version}.tar.xz
# PATCH-FEATURE-OPENSUSE lxterminal-0.1.8-disable-f10.patch andrea@opensuse.org
# disable f10 shortcut because yast use it
Patch0:         %{name}-0.1.8-disable-f10.patch
Patch1:         lxterminal-0.3.1-return-value-unixterminal.patch
BuildRequires:  docbook-utils
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  fdupes
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libxslt-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vte2-devel
Recommends:     %{name}-lang

%description
LXTerminal is a lightweight Terminal Emulator.
This package even if DE independent is part
of the LXDE project.

%lang_package

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --enable-man
make %{?_smp_mflags} V=1

%install
%make_install
%suse_update_desktop_file %{name} System
%find_lang %{name}
%fdupes -s %{buildroot}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/lxterminal.desktop
%dir %{_datadir}/lxterminal
%{_datadir}/lxterminal/lxterminal.conf
%{_datadir}/lxterminal/*.ui
%{_datadir}/icons/hicolor/128x128/apps/lxterminal.png
%{_mandir}/man1/lxterminal.1%{ext_man}

%files lang -f %{name}.lang

%changelog
* Wed Jan 10 2018 kbabioch@suse.com
- new upstream version 0.3.1:
  * Fix CVE-2016-10369, a Denial-of-Service vulnerability. (boo#1038127)
  * Fix bug that prevents changing tab name, which is introduced since 0.3.0.
  * The keyboard shortcut can be changed by pressing key combinations.
- added lxterminal-0.3.1-return-value-unixterminal.patch to fix compiler warnings
* Sun Dec 25 2016 trcs@gmx.com
- new upstream version 0.3.0
  * Arguments are now properly passed to child process
  * Fixed login shell, also applies to new tabs
  * Renamed tabs can now be reset, fixed '--title'
  * Improved GTK3 and VTE support
  * Added palette customization
  * Added terminal zoom feature
  * Added tab activity notification (bold)
  * Added --no_remote to spawn a separate teminal process
  * Optional confirmation when closing multiple tabs
* Thu Oct 23 2014 andrea@opensuse.org
- new upstream version 0.2.0
- removed patch lxterminal-0.1.11_fix_ctrl_c_break.patch in upstream code
- removed obsolete-suse-version-checks
* Sun Aug 17 2014 andrea@opensuse.org
- added lxterminal-0.1.11_fix_ctrl_c_break.patch to fix bnc#891851
* Thu Sep 22 2011 andrea.turrini@gmail.com
- fixed typos in lxterminal.spec
* Fri Jul 29 2011 andrea@opensuse.org
- upstream bugfix release 0.1.11
- removed lxterminal-0.1.10-fix-rgba-composite.patch and
  lxterminal-0.1.10-fix-desyncronization.patch now in
  upstream code
* Tue Jul 26 2011 andrea@opensuse.org
- added lxterminal-0.1.10-fix-rgba-composite.patch
  and lxterminal-0.1.10-fix-desyncronization.patch
  to fix upstream bugs 3372388 and 3376800
* Sun Jul 24 2011 andrea@opensuse.org
- new upstream version 0.1.10
  * translations update
  * gtk3 support
  * bug fixes
- removed patches now in upsteam code
* Tue May 31 2011 andrea@opensuse.org
- build with gtk2 based vte package on suse > 11.4
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Thu Sep  2 2010 andrea@opensuse.org
- added lxterminal-0.1.9-fix-char_widthheight.patch to fix
  failure cause of vte deprecated API (thanks BManojlovic)
* Wed Sep  1 2010 andrea@opensuse.org
- new upstream version 0.1.9
  - fixed mistake in preferences file write sf#3056693
  - translations updates
  - fix next/prev tab key shortcuts leave garbage characters
    in window problem sf#3036190
- removed patches that taken from upstream git code
* Thu Jul 29 2010 andrea@opensuse.org
- added lxterminal-0.1.8-fix_alt-key_after_tab_delete.patch to
  fix bug sf#3036189
* Wed Jul 21 2010 andrea@opensuse.org
- added lxterminal-0.1.8-hide_menu_bar-sf3032519.patch to fix
  bug sf#3032519
* Tue Jul 20 2010 andrea@opensuse.org
- added lxterminal-0.1.8-fix-alt_n-sf3006779.patch (backport from
  upstream git) to fix bug sf#3006779
- split out lang package
* Mon Jul 19 2010 andrea@opensuse.org
- new upstream versio 0.1.8
- removed lxterminal-0.1.7-fix-path.patch now into upstream code
- port lxterminal-0.1.6-disable-f10.patch to apply on new code,
  the patch is now lxterminal-0.1.8-disable-f10.patch
* Mon Jun  7 2010 andrea@opensuse.org
- changed RPM Group to System/GUI/LXDE
* Tue Apr  6 2010 andrea@opensuse.org
- removed un-supported locales
* Wed Mar 10 2010 andrea@opensuse.org
- added lxterminal-0.1.7-fix-path.patch now -e option will work
  again with commands not in the $PATH, example:
  lxterminal -e ./command
  will work again now
* Mon Mar  1 2010 andrea@opensuse.org
- new upstream version 0.1.7
  * several bug fixes
  * URLs are now interactive and click on them
    will open default browser
- removed no more needed patches
* Sat Dec 12 2009 andrea@opensuse.org
- bzipped source code
- disable f10 shortcut because ncurses yast use it
- translations upgrade
* Mon Jul 13 2009 andrea@opensuse.org
- New stable version 0.1.6
- fix no-return-in-non-void issue
* Fri May 22 2009 andrea@opensuse.org
- New package
